# Module: Concurrent::Actor::PublicDelegations

Included in:
  InternalDelegations, Reference

Defined in:
  lib/concurrent-ruby-edge/concurrent/actor/public_delegations.rb

## Overview

Provides publicly expose-able methods from Core.

## Instance Method Summary collapse

- #context_class ⇒ undocumented (also: #actor_class)
- #executor ⇒ undocumented
- #name ⇒ undocumented
- #parent ⇒ undocumented
- #path ⇒ undocumented
- #reference ⇒ undocumented (also: #ref)

## Instance Method Details

### #context_class ⇒ `undocumented` Also known as: actor_class

See Also:

- Core#context_class

    32
    33
    34

    # File 'lib/concurrent-ruby-edge/concurrent/actor/public_delegations.rb', line 32

    def context_class
      core.context_class
    end

### #executor ⇒ `undocumented`

See Also:

- Core#executor

    27
    28
    29

    # File 'lib/concurrent-ruby-edge/concurrent/actor/public_delegations.rb', line 27

    def executor
      core.executor
    end

### #name ⇒ `undocumented`

See Also:

- Core#name

    7
    8
    9

    # File 'lib/concurrent-ruby-edge/concurrent/actor/public_delegations.rb', line 7

    def name
      core.name
    end

### #parent ⇒ `undocumented`

See Also:

- Core#parent

    17
    18
    19

    # File 'lib/concurrent-ruby-edge/concurrent/actor/public_delegations.rb', line 17

    def parent
      core.parent
    end

### #path ⇒ `undocumented`

See Also:

- Core#path

    12
    13
    14

    # File 'lib/concurrent-ruby-edge/concurrent/actor/public_delegations.rb', line 12

    def path
      core.path
    end

### #reference ⇒ `undocumented` Also known as: ref

See Also:

- Core#reference

    22
    23
    24

    # File 'lib/concurrent-ruby-edge/concurrent/actor/public_delegations.rb', line 22

    def reference
      core.reference
    end